<?php
// This file was auto-generated from sdk-root/src/data/appintegrations/2020-07-29/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>The Amazon AppIntegrations service enables you to configure and reuse connections to external applications.</p> <p>For information about how you can use external applications with Amazon Connect, see <a href="https://docs.aws.amazon.com/connect/latest/adminguide/crm.html">Set up pre-built integrations</a> and <a href="https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-wisdom.html">Deliver information to agents using Amazon Connect Wisdom</a> in the <i>Amazon Connect Administrator Guide</i>.</p>', 'operations' => [ 'CreateDataIntegration' => '<p>Creates and persists a DataIntegration resource.</p> <note> <p>You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the <code>CreateDataIntegration</code> API.</p> </note>', 'CreateEventIntegration' => '<p>Creates an EventIntegration, given a specified name, description, and a reference to an Amazon EventBridge bus in your account and a partner event source that pushes events to that bus. No objects are created in the your account, only metadata that is persisted on the EventIntegration control plane.</p>', 'DeleteDataIntegration' => '<p>Deletes the DataIntegration. Only DataIntegrations that don\'t have any DataIntegrationAssociations can be deleted. Deleting a DataIntegration also deletes the underlying Amazon AppFlow flow and service linked role. </p> <note> <p>You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the <a href="https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateDataIntegration.html">CreateDataIntegration</a> API.</p> </note>', 'DeleteEventIntegration' => '<p>Deletes the specified existing event integration. If the event integration is associated with clients, the request is rejected.</p>', 'GetDataIntegration' => '<p>Returns information about the DataIntegration.</p> <note> <p>You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the <a href="https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateDataIntegration.html">CreateDataIntegration</a> API.</p> </note>', 'GetEventIntegration' => '<p>Returns information about the event integration.</p>', 'ListDataIntegrationAssociations' => '<p>Returns a paginated list of DataIntegration associations in the account.</p> <note> <p>You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the <a href="https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateDataIntegration.html">CreateDataIntegration</a> API.</p> </note>', 'ListDataIntegrations' => '<p>Returns a paginated list of DataIntegrations in the account.</p> <note> <p>You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the <a href="https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateDataIntegration.html">CreateDataIntegration</a> API.</p> </note>', 'ListEventIntegrationAssociations' => '<p>Returns a paginated list of event integration associations in the account. </p>', 'ListEventIntegrations' => '<p>Returns a paginated list of event integrations in the account.</p>', 'ListTagsForResource' => '<p>Lists the tags for the specified resource.</p>', 'TagResource' => '<p>Adds the specified tags to the specified resource.</p>', 'UntagResource' => '<p>Removes the specified tags from the specified resource.</p>', 'UpdateDataIntegration' => '<p>Updates the description of a DataIntegration.</p> <note> <p>You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the <a href="https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateDataIntegration.html">CreateDataIntegration</a> API.</p> </note>', 'UpdateEventIntegration' => '<p>Updates the description of an event integration.</p>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>You do not have sufficient access to perform this action.</p>', 'refs' => [], ], 'Arn' => [ 'base' => NULL, 'refs' => [ 'CreateDataIntegrationResponse$Arn' => '<p>The Amazon Resource Name (ARN)</p>', 'CreateEventIntegrationResponse$EventIntegrationArn' => '<p>The Amazon Resource Name (ARN) of the event integration. </p>', 'DataIntegrationAssociationSummary$DataIntegrationAssociationArn' => '<p>The Amazon Resource Name (ARN) of the DataIntegration association.</p>', 'DataIntegrationAssociationSummary$DataIntegrationArn' => '<p>The Amazon Resource Name (ARN)of the DataIntegration.</p>', 'DataIntegrationSummary$Arn' => '<p>The Amazon Resource Name (ARN) of the DataIntegration.</p>', 'EventIntegration$EventIntegrationArn' => '<p>The Amazon Resource Name (ARN) of the event integration.</p>', 'EventIntegrationAssociation$EventIntegrationAssociationArn' => '<p>The Amazon Resource Name (ARN) for the event integration association.</p>', 'GetDataIntegrationResponse$Arn' => '<p>The Amazon Resource Name (ARN) for the DataIntegration.</p>', 'GetEventIntegrationResponse$EventIntegrationArn' => '<p>The Amazon Resource Name (ARN) for the event integration.</p>', 'ListTagsForResourceRequest$resourceArn' => '<p>The Amazon Resource Name (ARN) of the resource. </p>', 'TagResourceRequest$resourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', 'UntagResourceRequest$resourceArn' => '<p>The Amazon Resource Name (ARN) of the resource.</p>', ], ], 'ClientAssociationMetadata' => [ 'base' => NULL, 'refs' => [ 'EventIntegrationAssociation$ClientAssociationMetadata' => '<p>The metadata associated with the client.</p>', ], ], 'ClientId' => [ 'base' => NULL, 'refs' => [ 'DataIntegrationAssociationSummary$ClientId' => '<p>The identifier for teh client that is associated with the DataIntegration association.</p>', 'EventIntegrationAssociation$ClientId' => '<p>The identifier for the client that is associated with the event integration.</p>', ], ], 'CreateDataIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateDataIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'CreateEventIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateEventIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'DataIntegrationAssociationSummary' => [ 'base' => '<p>Summary information about the DataIntegration association.</p>', 'refs' => [ 'DataIntegrationAssociationsList$member' => NULL, ], ], 'DataIntegrationAssociationsList' => [ 'base' => NULL, 'refs' => [ 'ListDataIntegrationAssociationsResponse$DataIntegrationAssociations' => '<p>The Amazon Resource Name (ARN) and unique ID of the DataIntegration association.</p>', ], ], 'DataIntegrationSummary' => [ 'base' => '<p>Summary information about the DataIntegration.</p>', 'refs' => [ 'DataIntegrationsList$member' => NULL, ], ], 'DataIntegrationsList' => [ 'base' => NULL, 'refs' => [ 'ListDataIntegrationsResponse$DataIntegrations' => '<p>The DataIntegrations associated with this account.</p>', ], ], 'DeleteDataIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteDataIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'DeleteEventIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'DeleteEventIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'Description' => [ 'base' => NULL, 'refs' => [ 'CreateDataIntegrationRequest$Description' => '<p>A description of the DataIntegration.</p>', 'CreateDataIntegrationResponse$Description' => '<p>A description of the DataIntegration.</p>', 'CreateEventIntegrationRequest$Description' => '<p>The description of the event integration.</p>', 'EventIntegration$Description' => '<p>The event integration description.</p>', 'GetDataIntegrationResponse$Description' => '<p>The KMS key for the DataIntegration.</p>', 'GetEventIntegrationResponse$Description' => '<p>The description of the event integration.</p>', 'UpdateDataIntegrationRequest$Description' => '<p>A description of the DataIntegration.</p>', 'UpdateEventIntegrationRequest$Description' => '<p>The description of the event inegration.</p>', ], ], 'DuplicateResourceException' => [ 'base' => '<p>A resource with the specified name already exists.</p>', 'refs' => [], ], 'EventBridgeBus' => [ 'base' => NULL, 'refs' => [ 'CreateEventIntegrationRequest$EventBridgeBus' => '<p>The EventBridge bus.</p>', 'EventIntegration$EventBridgeBus' => '<p>The Amazon EventBridge bus for the event integration.</p>', 'GetEventIntegrationResponse$EventBridgeBus' => '<p>The EventBridge bus.</p>', ], ], 'EventBridgeRuleName' => [ 'base' => NULL, 'refs' => [ 'EventIntegrationAssociation$EventBridgeRuleName' => '<p>The name of the EventBridge rule.</p>', ], ], 'EventFilter' => [ 'base' => '<p>The event filter.</p>', 'refs' => [ 'CreateEventIntegrationRequest$EventFilter' => '<p>The event filter.</p>', 'EventIntegration$EventFilter' => '<p>The event integration filter.</p>', 'GetEventIntegrationResponse$EventFilter' => '<p>The event filter.</p>', ], ], 'EventIntegration' => [ 'base' => '<p>The event integration.</p>', 'refs' => [ 'EventIntegrationsList$member' => NULL, ], ], 'EventIntegrationAssociation' => [ 'base' => '<p>The event integration association.</p>', 'refs' => [ 'EventIntegrationAssociationsList$member' => NULL, ], ], 'EventIntegrationAssociationsList' => [ 'base' => NULL, 'refs' => [ 'ListEventIntegrationAssociationsResponse$EventIntegrationAssociations' => '<p>The event integration associations.</p>', ], ], 'EventIntegrationsList' => [ 'base' => NULL, 'refs' => [ 'ListEventIntegrationsResponse$EventIntegrations' => '<p>The event integrations.</p>', ], ], 'GetDataIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDataIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'GetEventIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetEventIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'IdempotencyToken' => [ 'base' => NULL, 'refs' => [ 'CreateDataIntegrationRequest$ClientToken' => '<p>A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.</p>', 'CreateDataIntegrationResponse$ClientToken' => '<p>A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.</p>', 'CreateEventIntegrationRequest$ClientToken' => '<p>A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.</p>', ], ], 'Identifier' => [ 'base' => NULL, 'refs' => [ 'DeleteDataIntegrationRequest$DataIntegrationIdentifier' => '<p>A unique identifier for the DataIntegration.</p>', 'GetDataIntegrationRequest$Identifier' => '<p>A unique identifier.</p>', 'ListDataIntegrationAssociationsRequest$DataIntegrationIdentifier' => '<p>A unique identifier for the DataIntegration.</p>', 'UpdateDataIntegrationRequest$Identifier' => '<p>A unique identifier for the DataIntegration.</p>', ], ], 'InternalServiceError' => [ 'base' => '<p>Request processing failed due to an error or failure with the service.</p>', 'refs' => [], ], 'InvalidRequestException' => [ 'base' => '<p>The request is not valid. </p>', 'refs' => [], ], 'ListDataIntegrationAssociationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListDataIntegrationAssociationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListDataIntegrationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListDataIntegrationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListEventIntegrationAssociationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEventIntegrationAssociationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListEventIntegrationsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEventIntegrationsResponse' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListDataIntegrationAssociationsRequest$MaxResults' => '<p>The maximum number of results to return per page.</p>', 'ListDataIntegrationsRequest$MaxResults' => '<p>The maximum number of results to return per page.</p>', 'ListEventIntegrationAssociationsRequest$MaxResults' => '<p>The maximum number of results to return per page.</p>', 'ListEventIntegrationsRequest$MaxResults' => '<p>The maximum number of results to return per page.</p>', ], ], 'Message' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'DuplicateResourceException$Message' => NULL, 'InternalServiceError$Message' => NULL, 'InvalidRequestException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ResourceQuotaExceededException$Message' => NULL, 'ThrottlingException$Message' => NULL, ], ], 'Name' => [ 'base' => NULL, 'refs' => [ 'CreateDataIntegrationRequest$Name' => '<p>The name of the DataIntegration.</p>', 'CreateDataIntegrationResponse$Name' => '<p>The name of the DataIntegration.</p>', 'CreateEventIntegrationRequest$Name' => '<p>The name of the event integration.</p>', 'DataIntegrationSummary$Name' => '<p>The name of the DataIntegration.</p>', 'DeleteEventIntegrationRequest$Name' => '<p>The name of the event integration.</p>', 'EventIntegration$Name' => '<p>The name of the event integration.</p>', 'EventIntegrationAssociation$EventIntegrationName' => '<p>The name of the event integration.</p>', 'GetDataIntegrationResponse$Name' => '<p>The name of the DataIntegration.</p>', 'GetEventIntegrationRequest$Name' => '<p>The name of the event integration. </p>', 'GetEventIntegrationResponse$Name' => '<p>The name of the event integration. </p>', 'ListEventIntegrationAssociationsRequest$EventIntegrationName' => '<p>The name of the event integration. </p>', 'UpdateDataIntegrationRequest$Name' => '<p>The name of the DataIntegration.</p>', 'UpdateEventIntegrationRequest$Name' => '<p>The name of the event integration.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListDataIntegrationAssociationsRequest$NextToken' => '<p>The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.</p>', 'ListDataIntegrationAssociationsResponse$NextToken' => '<p>If there are additional results, this is the token for the next set of results.</p>', 'ListDataIntegrationsRequest$NextToken' => '<p>The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.</p>', 'ListDataIntegrationsResponse$NextToken' => '<p>If there are additional results, this is the token for the next set of results.</p>', 'ListEventIntegrationAssociationsRequest$NextToken' => '<p>The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.</p>', 'ListEventIntegrationAssociationsResponse$NextToken' => '<p>If there are additional results, this is the token for the next set of results.</p>', 'ListEventIntegrationsRequest$NextToken' => '<p>The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.</p>', 'ListEventIntegrationsResponse$NextToken' => '<p>If there are additional results, this is the token for the next set of results.</p>', ], ], 'NonBlankString' => [ 'base' => NULL, 'refs' => [ 'ClientAssociationMetadata$key' => NULL, 'ClientAssociationMetadata$value' => NULL, 'CreateDataIntegrationRequest$KmsKey' => '<p>The KMS key for the DataIntegration.</p>', 'CreateDataIntegrationRequest$SourceURI' => '<p>The URI of the data source.</p>', 'CreateDataIntegrationResponse$KmsKey' => '<p>The KMS key for the DataIntegration.</p>', 'CreateDataIntegrationResponse$SourceURI' => '<p>The URI of the data source.</p>', 'DataIntegrationSummary$SourceURI' => '<p>The URI of the data source.</p>', 'GetDataIntegrationResponse$KmsKey' => '<p>The KMS key for the DataIntegration.</p>', 'GetDataIntegrationResponse$SourceURI' => '<p>The URI of the data source.</p>', 'ScheduleConfiguration$FirstExecutionFrom' => '<p>The start date for objects to import in the first flow run.</p>', ], ], 'Object' => [ 'base' => NULL, 'refs' => [ 'ScheduleConfiguration$Object' => '<p>The name of the object to pull from the data source.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource was not found.</p>', 'refs' => [], ], 'ResourceQuotaExceededException' => [ 'base' => '<p>The allowed quota for the resource has been exceeded.</p>', 'refs' => [], ], 'Schedule' => [ 'base' => NULL, 'refs' => [ 'ScheduleConfiguration$ScheduleExpression' => '<p>How often the data should be pulled from data source.</p>', ], ], 'ScheduleConfiguration' => [ 'base' => '<p>The name of the data and how often it should be pulled from the source.</p>', 'refs' => [ 'CreateDataIntegrationRequest$ScheduleConfig' => '<p>The name of the data and how often it should be pulled from the source.</p>', 'CreateDataIntegrationResponse$ScheduleConfiguration' => '<p>The name of the data and how often it should be pulled from the source.</p>', 'GetDataIntegrationResponse$ScheduleConfiguration' => '<p>The name of the data and how often it should be pulled from the source.</p>', ], ], 'Source' => [ 'base' => NULL, 'refs' => [ 'EventFilter$Source' => '<p>The source of the events.</p>', ], ], 'TagKey' => [ 'base' => NULL, 'refs' => [ 'TagKeyList$member' => NULL, 'TagMap$key' => NULL, ], ], 'TagKeyList' => [ 'base' => NULL, 'refs' => [ 'UntagResourceRequest$tagKeys' => '<p>The tag keys.</p>', ], ], 'TagMap' => [ 'base' => NULL, 'refs' => [ 'CreateDataIntegrationRequest$Tags' => '<p>One or more tags.</p>', 'CreateDataIntegrationResponse$Tags' => '<p>One or more tags.</p>', 'CreateEventIntegrationRequest$Tags' => '<p>One or more tags.</p>', 'EventIntegration$Tags' => '<p>The tags.</p>', 'GetDataIntegrationResponse$Tags' => '<p>One or more tags.</p>', 'GetEventIntegrationResponse$Tags' => '<p>One or more tags.</p>', 'ListTagsForResourceResponse$tags' => '<p>Information about the tags.</p>', 'TagResourceRequest$tags' => '<p>One or more tags. </p>', ], ], 'TagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'TagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'TagValue' => [ 'base' => NULL, 'refs' => [ 'TagMap$value' => NULL, ], ], 'ThrottlingException' => [ 'base' => '<p>The throttling limit has been exceeded.</p>', 'refs' => [], ], 'UUID' => [ 'base' => NULL, 'refs' => [ 'CreateDataIntegrationResponse$Id' => '<p>A unique identifier.</p>', 'EventIntegrationAssociation$EventIntegrationAssociationId' => '<p>The identifier for the event integration association.</p>', 'GetDataIntegrationResponse$Id' => '<p>A unique identifier.</p>', ], ], 'UntagResourceRequest' => [ 'base' => NULL, 'refs' => [], ], 'UntagResourceResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDataIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateDataIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], 'UpdateEventIntegrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'UpdateEventIntegrationResponse' => [ 'base' => NULL, 'refs' => [], ], ],];
